summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorAnush Shetty <anush@gluster.com>2011-04-07 05:34:33 +0000
committerRaghavendra Bhat <raghavendrabhat@gluster.com>2011-05-23 16:05:38 +0530
commit02318b15ab4d700aa7973f003f430518e7deb745 (patch)
tree2790e7ce882f30f80fa10b9379d27090d34d0d79
parent67df3c3791722f627b6cf71c6610ed13c624bfb8 (diff)
Verify if the message displayed is correct when a volume start is attempted on a started volume
Signed-off-by: Anush Shetty <anush@gluster.com>
-rwxr-xr-xdvm/2623/testcase20
1 files changed, 20 insertions, 0 deletions
diff --git a/dvm/2623/testcase b/dvm/2623/testcase
new file mode 100755
index 0000000..48b209a
--- /dev/null
+++ b/dvm/2623/testcase
@@ -0,0 +1,20 @@
+#!/bin/bash
+
+source ./regression_helpers
+
+$GLUSTERFSDIR/gluster volume create $global_bug_id $(hostname):$EXPORT_DIR/$global_bug_id/export1 2>/dev/null 1>/dev/null;
+
+$GLUSTERFSDIR/gluster --mode=script volume start $global_bug_id 2>/dev/null 1>/dev/null;
+
+$GLUSTERFSDIR/gluster volume start $global_bug_id | grep "alreadystarted"
+
+if [ "$?" -eq "0" ]; then
+ RET="1";
+else
+ RET="0";
+fi
+
+exit $RET;
+
+
+